<template>
  <div class="min-h-dvh bg-gray-100 relative overflow-hidden">
    <ErrorBoundary>
      <Layout v-if="isLayoutNeeded">
        <RouterView />
      </Layout>

      <RouterView v-else />
    </ErrorBoundary>
  </div>
</template>

<script setup lang="ts">
import { useRouter } from 'vue-router';
import { computed } from 'vue';

import Layout from '@/components/layout/Layout.vue';
import ErrorBoundary from '@/components/ErrorBoundary.vue';

const cleanPages = ['/login', '/setup'];
const router = useRouter();

const isLayoutNeeded = computed(() => {
  return !cleanPages.includes(router.currentRoute.value.path);
});
</script>